wampsever2.5增加php5.6版本的方法

  • 2021-03-17 21:52:23
  • 158 次阅读
  • 稿源:天马行空

默认情况下,电脑中安装的wampsever2.5版本中只内含一个PHP5.5.12的版本。而对于一些小程序可能需要php5.6以上的版本才能够支持,那么当前安装的php5.5环境就不能使小程序正常工作了。有没有什么好方法,可以在原来安装的wampsever2.5的基础上增加一个php5.6版本使小程序正常工作呢?有的,下面是具体的方法:

wampsever2.5增加php5.6版本的方法

一、在php官网下载php5.6的最后一个版本的安装包

二、新建一个与php5.5.12同目录的文件夹php5.6.9,然后将下载的安装包丢进去。

三、将php5.5.12文件中的php.ini、phpForApache.ini、wampserver.conf复制到php5.6.9目录下,并把其中两个文件中的路径信息修改,如下图:

四、xdebug版本修改,去下载对应的xdebug扩展,将其中的php_pdo_sqlsrv_56_ts.dll和php_sqlsrv_56_ts.dll文件拷贝到:wamp\bin\php\php5.6.9\ext目录下

五、将wamp/bin/apache/apache/apache2.4.9/bin下的php.ini文件删除。将5.5.12文件夹中的php5apache2_4.dll复制到php5.6.9中去

六、重启wampsever2.5所有服务后,如果没有看到5.6.9,可以点击一下5.5.12,等待服务重启后就会看到两个版本了。

七、当打开数据库phpmyadmin会报错,这时把php5.5.12\ext目录中的php_mbstring.dll,php_mysql.dll,php_mysqli.dll复制到php5.6.9\ext中。

通过以上几个步骤就可以正常使用wampsever5.6.9版本了。

最后附上PHP5.6官网下载地址:https://museum.php.net/php5/

xdebug版本官网下载地址:https://xdebug.org/download.php

wampsever2.5下载地址:https://wampserver.site/index/index.html

喜欢 5

文章评论 (0)

表情

大眼 可爱 大笑 坏笑 害羞 发怒 折磨 快哭了 大哭 白眼 晕 流汗 困 腼腆 惊讶 憨笑 色 得意 骷髅 囧 睡觉 眨眼 亲亲 疑问 闭嘴 难过 淡定 抗议 鄙视 猪头